/* @import url('https://fonts.googleapis.com/css?family=Antic');
@import url('https://fonts.googleapis.com/css?family=Cinzel');
@import url('https://fonts.googleapis.com/css?family=Playfair Display SC'); */

html,body {
    font-size: 100%;

}

body {
    background-image: url('./assets/pics/IMG_1111.jpg');
    background-size:cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: center;
}

@media only screen and (max-width: 1000px) {
    html, body {
        width: 100%;
        height: 100%;
        margin-left: 0px;
        margin-right: 0px;
        margin-top: 0px;
    }
    footer {
        background-color: rgba(70, 70, 70, 0.9);
    }
    header {
        background-color: rgb(16 96 241 / 48%);
    }
} 

.links {
    color: red;
}
#content {
    /* max-width: 600px; */
    margin: auto; 
    align-self: center;
    /* border: 2px solid gray; */
    /* background-color:lightgray */
}
header {
    /* background-image: url('./assets/pics/IMG_1112.jpg'); */
    /* background-color: rgba(0, 0, 0, 0.3); */
    /* background-color: rgb(90, 90, 90); */
    /* background: linear-gradient(to bottom left,  rgb(190,190,190) 10%, rgb(60,60,60) 100%); */
    /* font-family: 'Antic'; */
    color: rgb(255, 255, 255);
    /* color: rgba(255, 255, 255, 0.9); */
    display: flex;
    text-align: center;
    text-shadow: 2px 1px gray;
    justify-content: space-around;
    line-height: 1.3em;

}
/* @media only screen and (max-width: 320px) {
    header {
        font-size: 0.8em;
        line-height: 1.8em;
    }
} */

#moving_banner {
    background-color: aliceblue;
    white-space: nowrap;
    overflow: hidden;
}
#moving_text {
    /* padding-left: 50%; */
}
/*  */
#moving_text {
    /* width: auto;
    line-height: 50px; */
    white-space: nowrap;
    overflow: hidden;
    box-sizing: border-box;
}
#moving_text p {
    display: inline-block;
    padding-left: 80%;
    animation: marquee 150s linear infinite;
}
@keyframes marquee {
    0%   { transform: translate(0, 0); }
    100% { transform: translate(-100%, 0); }
}


/*  */
header > h1 > a {
    text-decoration: none;
    color: white;
}

header > h1 > a:visited {
    color: white;
}

h1 > small {
    font-size: 0.5em;
    font-style: italic;
    line-height: 5px;
}
#menu {
    width: 15%;
    height: 50px;
    /* border: 2px */
    /*border: 1px solid black;*/
}
#menu {
    align-self: flex-end;
    justify-self:end;
    /* border: 2px solid black; */
}
nav {
    display: flex;
    flex-direction: column;
    background: rgba(255,255,255,0.35);
    /* background: linear-gradient(to bottom, rgb(240,240,240) 95%, rgb(50,50,50) 100%); */
    /* border-bottom: 2px groove black; */
    /* box-shadow: 0px 2px; */
    /* border-bottom: 0.1em solid rgb(50, 50, 50); */
}

nav > a {
    /*border: 2px solid black;
    */
    color: black;
    display: none;
    text-decoration: none;
    /* background-color: rgb(120,120,120);     */
    /* border-top: 1px solid black; */
    padding: 0.75em 0em;
    font-weight: bold;
    
}



#activeLink {
    background-color:rgba(60, 179, 113, 0.5);
}



nav > :nth-child(odd) {
    /* background-color: rgba(90,90,90,0.2);  */
}
nav > :nth-child(even) {
    /* background-color: rgba(90,90,90,0.4); */
}


nav > a:visited {
    color: initial;
}

nav > a > div {
    margin-left: auto;
    margin-right: auto;

}

.footNote {
    margin-top: 0.5em;
    background-color: rgba(255,255,255,0.8);
    color: black;
    padding: 1em;
}


/*Index sivun tyylittely*/
h3 {
    /* font-family: 'Cinzel'; */
    background-color: rgba(0, 0, 0, 0.35);
    background: linear-gradient(to bottom,  rgba(0,0,0, 0.8) 80%, rgba(0,0,0, 0.9) 100%);
    border-radius: 0.5em;
    color: white;
    font-size: 1.25em;
    text-align: center;
    padding: 0.5em 0em;

    /* box-shadow: 0px -5px black; */
    /*border-top: 3px solid navy;*/
}

.pageExpl {
    background-color: white;
    border: 1px solid black;
    margin: 1em;
    padding-left: .5em;
    padding-right: .5em;
    border-radius: .5em;
    font-style: italic;
    /* box-shadow: .5em -.25em rgba(90,90,90,0.2); */
}

.quote_first {
    /* background-color:lightsteelblue; */
    background-color: rgba(160,190,250, 0.8);
    /* background: linear-gradient(to left,  lightsteelblue 97%, navy 100%); */
    /* border: 1px solid gray; */
    /* border-radius: 0em 2em 0em 0em; */
    /* border-left: 1em solid navy; */
    padding: 1em;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-weight: bold;
}

.quote {
    margin-bottom: 0.8em;
    background-color:white; /*floralwhite*/
    padding: 1em;
    border-radius: .5em;
    font-size: 1em;
    
}

.lisaa_laatikoita {
    display: none;
}

.hide_button {
    width: max-content;
    margin: auto;
    background-color: rgba(255, 255, 255, 0.9);
    text-align: center;
    border: 2px solid black;
    border-radius: 0.5em;
    padding: 0.4em;
}

footer {
    
    color: white;
    margin: 0em;
    text-shadow: 0px 0px;
    padding: 1em;
}

.bottomNavi {
    font-size: 20%;
    display: flex;
    background-color:  rgb(70, 70, 70);
    color:  rgb(70, 70, 70);
}
.bottomNaviElement > a:visited {
    color: rgb(70, 70, 70);
}
/* 
nav > a:hover {
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
} */

@media only screen and (min-width: 768px) {
    html {
        font-size: 120%;
    }
    #content {
        max-width: 1000px;
    }

    header {
        /* background-color: rgb(90,90,90); */
        background-image: none;
    }

    #menu {
        display: none;
    }
    
    nav {
        flex-direction: row;
        justify-content: space-around;
        background: rgba(255,255,255,0.5);
       
    }
    
nav > :nth-child(odd) {
    background-color: initial; /*rgba(0, 0, 200, 0.5);rgba(80, 80, 80, .5);*/
    transition: background-color 0.3s;
}
nav > :nth-child(even) {
    background-color: initial;/*rgba(50, 50, 250, 0.5)rgba(120, 120, 120, .5);*/
    transition: background-color 0.3s;
}


    nav > a {
        display: block;
        border: none;
    }

    
    nav > a > div {
        padding: 0em 1em;
        color: black;
    }
    main {
        margin: 0em 2em;
    }

    .quote_first {
        /* margin: 1em 5em; */
        margin-right: 2em;
        margin-left: 2em;
    }

    .quote {
        margin: 1em 2em;
    }

    nav > a:hover {
        background-color: white;
        transition: background-color 0.5s;
    }
}